#!/usr/bin/env node
'use strict';

var fs = require('fs');
var program = require('commander');
var elegantSpinner = require('elegant-spinner');
var logUpdate = require('log-update');
var bundle = require('./');
var info = require('../package.json');

program.version(info.version).usage('[html] {OPTIONS}').option('-o, --output [folder]', 'output directory for assets').parse(process.argv);

var frame = elegantSpinner();

var intervalId = setInterval(function () {
  logUpdate(frame());
}, 50);

bundle({
  src: program.args,
  dest: program.output
}).then(function () {
  clearInterval(intervalId);
}).catch(function (err) {
  clearInterval(intervalId);
  console.log(err);
});