'use strict';

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var gulp = require('gulp');
var rev = require('gulp-rev');
var ref = require('gulp-ref');
var revReplace = require('gulp-rev-replace');
var filter = require('gulp-filter');
var uglify = require('gulp-uglify');
var csso = require('gulp-csso');
var postcss = require('gulp-postcss');
var babel = require('gulp-babel');
var rollup = require('gulp-rollup-stream');
var del = require('del');
var RcFinder = require('rcfinder');

var bundleConf = new RcFinder('rollup.config.js', {
  loader: function loader(path) {
    return path ? require(path) : false;
  }
}).find(process.cwd()) || { format: 'iife' };

var jsFilter = filter('**/*.js', { restore: true });
var cssFilter = filter('**/*.css', { restore: true });

module.exports = function bundle(_ref) {
  var _ref$src = _ref.src,
      src = _ref$src === undefined ? ['index.html'] : _ref$src,
      _ref$dest = _ref.dest,
      dest = _ref$dest === undefined ? 'dist' : _ref$dest;


  // coerce to array
  src = [].concat(src);

  // accomidates multiple source html files
  var srcFilter = filter(['**/*'].concat(src.map(function (str) {
    return '!' + str;
  })), { restore: true });

  return del(dest).then(function (paths) {
    return new _promise2.default(function (resolve, reject) {
      gulp.src(src).pipe(ref()).pipe(jsFilter).pipe(rollup(bundleConf)).pipe(babel()).pipe(uglify()).pipe(jsFilter.restore).pipe(cssFilter).pipe(postcss()).pipe(csso()).pipe(cssFilter.restore).pipe(srcFilter).pipe(rev()).pipe(srcFilter.restore).pipe(revReplace()).on('error', reject).pipe(gulp.dest(dest)).on('end', resolve);
    });
  });
};